Prev |  |

# FcStrBasename

## Name

FcStrBasename -- last component of filename

## Synopsis

    #include <fontconfig.h>

``FcChar8 * FcStrBasename`(const FcChar8 *file);`

## Description

Returns the filename of `file` stripped of any leading directory names. This is returned in newly allocated storage which should be freed when no longer needed.

## Version

Fontconfig version 2.3.2

Prev | Home |
FcStrDirname | Up |